﻿using System.Threading;
using System.Windows;
using System.Windows.Documents;

namespace Ukazka3
{
    /// <summary>
    /// Interakční logika pro MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Konstruktor třídy
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            NaplnData();
        }


        /// <summary>
        /// Naplnění prvků daty
        /// </summary>
        private void NaplnData()
        {
            // Naplnění TextBlocku
            tbkText.Inlines.Add(new Run("WPF - Základní prvky\n\n") { FontWeight = FontWeights.Bold });
            string text = "Platforma WPF (Windows Presentation Foundation) " +
                "poskytuje velké množství již předpřipravených ovládacích prvků " +
                "(controls). V následujícím textu je uveden seznam těch " +
                "nejpoužívanějších s uvedením vybraných vlastností a událostí, " +
                "na které daný prvek reaguje.";
            tbkText.Inlines.Add(new Run(text));
        }


        /// <summary>
        /// Zavření okna
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ZavriOkno(object sender, RoutedEventArgs e)
        {
            wdwPrvky.Close();
        }


        /// <summary>
        /// Spuštění ukázky ukazatele
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Start(object sender, RoutedEventArgs e)
        {
            pbrUkazatel.Value = 0;
            for (int i = 0; i < 10; i++)
            {
                pbrUkazatel.Value += 1;
                Thread.Sleep(100);
                pbrUkazatel.Refresh();
            }
        }
    }
}
